> For the complete documentation index, see [llms.txt](https://docs.empe.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.empe.io/develop.md).

# Develop

- [One-click deployment](https://docs.empe.io/develop/intro.md)
- [Registration](https://docs.empe.io/develop/intro/registration.md)
- [Login](https://docs.empe.io/develop/intro/login.md)
- [Creating a Deployment](https://docs.empe.io/develop/intro/create_issuer.md)
- [Issuer Data Description](https://docs.empe.io/develop/intro/issuer_data.md)
- [Creating a Verifier](https://docs.empe.io/develop/intro/create_verifier.md)
- [Verifier Data Description](https://docs.empe.io/develop/intro/verifier_data.md)
- [Managing Credential Schemas](https://docs.empe.io/develop/intro/managing-schemas.md)
- [Issuing Credentials](https://docs.empe.io/develop/intro/issuing-credentials.md)
- [Verifying Credentials](https://docs.empe.io/develop/intro/verifying-credentials.md)
- [Authenticating to Your Deployment](https://docs.empe.io/develop/intro/authenticating-to-your-deployment.md)
- [Issuer](https://docs.empe.io/develop/issuer.md)
- [Terminology and Concepts](https://docs.empe.io/develop/issuer/terminology-and-concepts.md)
- [Issuers and Credential Configurations](https://docs.empe.io/develop/issuer/issuer-and-credential-configurations.md)
- [DID Document Management](https://docs.empe.io/develop/issuer/did-document-management.md)
- [Schema Management](https://docs.empe.io/develop/issuer/schema-management.md)
- [Issuing Credentials and Interacting With Wallets](https://docs.empe.io/develop/issuer/credential-issuance-flow.md)
- [Issuance Sessions](https://docs.empe.io/develop/issuer/issuance-sessions.md)
- [Direct Credential Signing](https://docs.empe.io/develop/issuer/direct-credential-signing.md)
- [Security Considerations](https://docs.empe.io/develop/issuer/security-considerations.md)
- [Error Handling and Troubleshooting](https://docs.empe.io/develop/issuer/error-handling-and-troubleshooting.md)
- [Future Enhancements](https://docs.empe.io/develop/issuer/future-enhancements.md)
- [References and Standards](https://docs.empe.io/develop/issuer/references-and-standards.md)
- [MCP Server Integration](https://docs.empe.io/develop/issuer/mcp-integration.md)
- [FAQ](https://docs.empe.io/develop/issuer/faq.md)
- [API Reference](https://docs.empe.io/develop/issuer/api-reference.md)
- [Token](https://docs.empe.io/develop/issuer/api-reference/token.md)
- [Schema](https://docs.empe.io/develop/issuer/api-reference/schema.md)
- [Offering](https://docs.empe.io/develop/issuer/api-reference/offering.md)
- [Metadata](https://docs.empe.io/develop/issuer/api-reference/metadata.md)
- [Credential](https://docs.empe.io/develop/issuer/api-reference/credential.md)
- [Blockchain](https://docs.empe.io/develop/issuer/api-reference/blockchain.md)
- [Authorization](https://docs.empe.io/develop/issuer/api-reference/authorization.md)
- [Verifier](https://docs.empe.io/develop/verifier.md)
- [Terminology and Concepts](https://docs.empe.io/develop/verifier/terminology-and-concepts.md)
- [Authentication](https://docs.empe.io/develop/verifier/authentication.md)
- [Architecture Overview](https://docs.empe.io/develop/verifier/architecture-overview.md)
- [Core Responsibilities](https://docs.empe.io/develop/verifier/core-responsibilities.md)
- [Query Language](https://docs.empe.io/develop/verifier/query-language.md)
- [Client Configuration](https://docs.empe.io/develop/verifier/client-configuration.md)
- [Frontend Integration](https://docs.empe.io/develop/verifier/frontend-integration.md)
- [Server-Side VP Queries](https://docs.empe.io/develop/verifier/server-side-vp-query.md)
- [Security Considerations](https://docs.empe.io/develop/verifier/security-considerations.md)
- [Error Handling and Troubleshooting](https://docs.empe.io/develop/verifier/error-handling-and-troubleshooting.md)
- [Future Enhancements](https://docs.empe.io/develop/verifier/future-enhancements.md)
- [References and Standards](https://docs.empe.io/develop/verifier/references-and-standards.md)
- [MCP Server Integration](https://docs.empe.io/develop/verifier/mcp-integration.md)
- [FAQ](https://docs.empe.io/develop/verifier/faq.md)
- [API Reference](https://docs.empe.io/develop/verifier/api-reference.md)
- [Authorization Requests](https://docs.empe.io/develop/verifier/api-reference/authorization-requests.md)
- [Verification Sessions](https://docs.empe.io/develop/verifier/api-reference/verification-sessions.md)
- [Verify Credential](https://docs.empe.io/develop/verifier/api-reference/verify-credential.md)
- [VP Query](https://docs.empe.io/develop/verifier/api-reference/vp-query.md)
- [QR Code](https://docs.empe.io/develop/verifier/api-reference/qr-code.md)
- [Authorization](https://docs.empe.io/develop/verifier/api-reference/authorization.md)
- [Wallet Server](https://docs.empe.io/develop/wallet-server.md)
- [Terminology and Concepts](https://docs.empe.io/develop/wallet-server/terminology-and-concepts.md)
- [Holders and Tenancy](https://docs.empe.io/develop/wallet-server/holders-and-tenancy.md)
- [Environment & Setup](https://docs.empe.io/develop/wallet-server/environment-and-setup.md)
- [DID Document Management](https://docs.empe.io/develop/wallet-server/did-document-management.md)
- [Credential Management](https://docs.empe.io/develop/wallet-server/credential-management.md)
- [Flows: Claim and Presentation](https://docs.empe.io/develop/wallet-server/flows-claim-and-presentation.md)
- [Processing URIs](https://docs.empe.io/develop/wallet-server/processing-uris.md)
- [did:web & Hosting](https://docs.empe.io/develop/wallet-server/did-web-and-hosting.md)
- [Security Considerations](https://docs.empe.io/develop/wallet-server/security-considerations.md)
- [Error Handling and Troubleshooting](https://docs.empe.io/develop/wallet-server/error-handling-and-troubleshooting.md)
- [Health & Ops](https://docs.empe.io/develop/wallet-server/health-and-ops.md)
- [MCP/AI Integration](https://docs.empe.io/develop/wallet-server/mcp-integration.md)
- [References and Standards](https://docs.empe.io/develop/wallet-server/references-and-standards.md)
- [FAQ](https://docs.empe.io/develop/wallet-server/faq.md)
- [API Reference](https://docs.empe.io/develop/wallet-server/api-reference.md)
- [DID Management](https://docs.empe.io/develop/wallet-server/api-reference/did-management.md)
- [Credential Management](https://docs.empe.io/develop/wallet-server/api-reference/credential-management.md)
- [Flow](https://docs.empe.io/develop/wallet-server/api-reference/flow.md)
- [Health](https://docs.empe.io/develop/wallet-server/api-reference/health.md)
- [Wallet Management](https://docs.empe.io/develop/wallet-server/api-reference/wallet-management.md)
- [Models](https://docs.empe.io/develop/wallet-server/api-reference/models.md)
- [Introduction to cosmwasm](https://docs.empe.io/develop/introduction_to_cosmwasm.md)
- [Protocols and Standards](https://docs.empe.io/develop/protocols-and-standards.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.empe.io/develop.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
